%define anolis_release 2

Name:           perl-ExtUtils-Install
Version:        2.22
Release:        %{anolis_release}%{?dist}
Summary:        Install Perl files from here to there
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/ExtUtils-Install
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/ExtUtils-Install-%{version}.tar.gz

BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(lib)
BuildRequires:  perl(strict) perl(AutoSplit) perl(Carp) perl(Config)
BuildRequires:  perl(Cwd) perl(Exporter) perl(File::Basename)
BuildRequires:  perl(File::Compare) perl(File::Copy) perl(File::Find)
BuildRequires:  perl(File::Path) perl(File::Spec) perl(ExtUtils::MM)
BuildRequires:  perl(File::Temp) perl(Test::More)

Requires:       perl(AutoSplit) perl(Data::Dumper) perl(File::Compare)

Recommends:     perl(POSIX)
 
BuildArch:      noarch

%{?perl_default_filter}
 
%description
Handles the installing and uninstalling of Perl modules, scripts, manual
pages, etc. Both install() and uninstall() are specific to the way
ExtUtils::MakeMaker handles the installation and deinstallation of perl
modules. 

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n ExtUtils-Install-%{version}
 
%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}
 
%install
%{make_install}
%{_fixperms} %{buildroot}
 
%check
unset AUTHOR_TESTING PERL_CORE
make test
 
%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Wed Apr 12 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 2.22-2
- optimize spec

* Tue Feb 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.22-1
- remove versioned MODULE_COMPAT_ requires
- update to version 2.22

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.20-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 2.20-1
- Init from upstream version 2.20
